import xhiveframework


def execute():
	if "Education" in xhiveframework.get_active_domains() and not xhiveframework.db.exists("Role", "Guardian"):
		doc = xhiveframework.new_doc("Role")
		doc.update({"role_name": "Guardian", "desk_access": 0})

		doc.insert(ignore_permissions=True)
